NX Open C++ Reference Guide
|
Represents a @link SketchPatternBuilder SketchPatternBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPatternBuilder SketchCollection::CreateSketchPatternBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | CreateSpacingExp () |
Returns the flag to indicate if a spacing expression needs to be created Created in NX7.5.0. | |
bool | LockOrientation () |
Returns the flag to indicate if a spacing expression needs to be created Created in NX7.5.0. | |
NXOpen::GeometricUtilities::PatternDefinition * | PatternService () |
Returns the pattern service Created in NX7.5.0. | |
NXOpen::Section * | Section () |
Returns the pattern section Created in NX7.5.0. | |
void | SetCreateSpacingExp (bool createSpacingExp) |
Sets the flag to indicate if a spacing expression needs to be created Created in NX7.5.0. | |
void | SetEndConstraint (NXOpen::NXObject *parent, int inx, bool isStart, bool constraint) |
This function removes end constraint from the given pattern Created in NX7.5.0. | |
void | SetLockOrientation (bool lockOrientation) |
Sets the flag to indicate if a spacing expression needs to be created Created in NX7.5.0. | |
void | UpdateCopies () |
This function updates the pattern constraint with the number of copies set in the builder Created in NX8.5.0. | |
void | UpdateInputSection () |
This function updates the pattern constraint according to the data set in pattern section Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link SketchPatternBuilder SketchPatternBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPatternBuilder SketchCollection::CreateSketchPatternBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CreateSpacingExp |
True |
LockOrientation |
True |
PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value |
2 |
PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType | |
PatternService.AlongPathDefinition.XPathOption | |
PatternService.AlongPathDefinition.YDirectionOption | |
PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value |
1 |
PatternService.AlongPathDefinition.YPathOption | |
PatternService.AlongPathDefinition.YSpacing.NCopies.Value |
1 |
PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value |
10 (millimeters part), 1 (inches part) |
PatternService.AlongPathDefinition.YSpacing.SpaceType | |
PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value |
100 (millimeters part), 10 (inches part) |
PatternService.CircularDefinition.AngularSpacing.NCopies.Value |
12 |
PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value |
30 |
PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value |
10 (millimeters part), 1 (inches part) |
PatternService.CircularDefinition.AngularSpacing.SpaceType | |
PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value |
360 (millimeters part), 360 (inches part) |
PatternService.CircularDefinition.AngularSpacing.UsePitchOption |
Angle |
PatternService.CircularDefinition.CreateLastStaggered |
true |
PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value |
0 (millimeters part), 0 (inches part) |
PatternService.CircularDefinition.IncludeSeedToggle |
true |
PatternService.CircularDefinition.RadialSpacing.NCopies.Value |
1 |
PatternService.CircularDefinition.StaggerType |
None |
PatternService.HelixDefinition.AnglePitch.Value |
30 |
PatternService.HelixDefinition.CountOfInstances.Value |
6 |
PatternService.HelixDefinition.DirectionType |
Righthand |
PatternService.HelixDefinition.DistancePitch.Value |
10 (millimeters part), 0.4 (inches part) |
PatternService.HelixDefinition.HelixPitch.Value |
50 (millimeters part), 2 (inches part) |
PatternService.HelixDefinition.HelixSpan.Value |
100 (millimeters part), 4 (inches part) |
PatternService.HelixDefinition.NumberOfTurns.Value |
2 |
PatternService.HelixDefinition.SizeOption |
CountAngleDistance |
PatternService.PatternFill.FillMargin.Value |
0 (millimeters part), 0 (inches part) |
PatternService.PatternFill.FillOptions |
None |
PatternService.PatternFill.SimplifiedBoundaryToggle |
False |
PatternService.PatternOrientation.AlongOrientationOption |
NormalToPath |
PatternService.PatternOrientation.CircularOrientationOption |
FollowPattern |
PatternService.PatternOrientation.FollowFaceProjDirOption |
PatternPlaneNormal |
PatternService.PatternOrientation.GeneralOrientationOption |
Fixed |
PatternService.PatternOrientation.HelixOrientationOption |
FollowPattern |
PatternService.PatternOrientation.LinearOrientationOption |
Fixed |
PatternService.PatternOrientation.MirrorOrientationOption |
FollowPattern |
PatternService.PatternOrientation.OrientationOption (deprecated) |
Fixed |
PatternService.PatternOrientation.PolygonOrientationOption |
FollowPattern |
PatternService.PatternOrientation.SpiralOrientationOption |
FollowPattern |
PatternService.PatternType |
Linear |
PatternService.PolygonDefinition.NumberOfSides.Value |
6 |
PatternService.PolygonDefinition.PolygonSizeOption |
Inscribed |
PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value |
4 |
PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value |
25 (millimeters part), 1 (inches part) |
PatternService.PolygonDefinition.PolygonSpacing.SpaceType | |
PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value |
360 |
PatternService.PolygonDefinition.RadialSpacing.NCopies.Value |
1 |
PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value |
25 (millimeters part), 1 (inches part) |
PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value |
100 (millimeters part), 4 (inches part) |
PatternService.RectangularDefinition.CreateLastStaggered |
true |
PatternService.RectangularDefinition.SimplifiedLayoutType |
Square |
PatternService.RectangularDefinition.StaggerType |
None |
PatternService.RectangularDefinition.XSpacing.NCopies.Value |
2 |
PatternService.RectangularDefinition.YSpacing.NCopies.Value |
1 |
PatternService.SpiralDefinition.DirectionType |
Lefthand |
PatternService.SpiralDefinition.NumberOfTurns.Value |
1 (millimeters part), 1 (inches part) |
PatternService.SpiralDefinition.RadialPitch.Value |
50 (millimeters part), 2 (inches part) |
PatternService.SpiralDefinition.SizeSpiralType |
NumberOfTurns |
PatternService.SpiralDefinition.TotalAngle.Value |
360 (millimeters part), 360 (inches part) |
Created in NX7.5.0.
bool NXOpen::SketchPatternBuilder::CreateSpacingExp | ( | ) |
Returns the flag to indicate if a spacing expression needs to be created
Created in NX7.5.0.
License requirements : None
bool NXOpen::SketchPatternBuilder::LockOrientation | ( | ) |
Returns the flag to indicate if a spacing expression needs to be created
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::PatternDefinition* NXOpen::SketchPatternBuilder::PatternService | ( | ) |
Returns the pattern service
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::SketchPatternBuilder::Section | ( | ) |
Returns the pattern section
Created in NX7.5.0.
License requirements : None
void NXOpen::SketchPatternBuilder::SetCreateSpacingExp | ( | bool | createSpacingExp | ) |
Sets the flag to indicate if a spacing expression needs to be created
Created in NX7.5.0.
License requirements : None
createSpacingExp | createspacingexp |
void NXOpen::SketchPatternBuilder::SetEndConstraint | ( | NXOpen::NXObject * | parent, |
int | inx, | ||
bool | isStart, | ||
bool | constraint | ||
) |
This function removes end constraint from the given pattern
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
parent | Parent object in base chain |
inx | Index of the pattern - starts from 0 |
isStart | TRUE, if we want to remove the start end con |
constraint | TRUE to add the con, false to remove |
void NXOpen::SketchPatternBuilder::SetLockOrientation | ( | bool | lockOrientation | ) |
Sets the flag to indicate if a spacing expression needs to be created
Created in NX7.5.0.
License requirements : None
lockOrientation | lockorientation |
void NXOpen::SketchPatternBuilder::UpdateCopies | ( | ) |
This function updates the pattern constraint with the number of copies set in the builder
Created in NX8.5.0.
License requirements : None
void NXOpen::SketchPatternBuilder::UpdateInputSection | ( | ) |
This function updates the pattern constraint according to the data set in pattern section
Created in NX8.5.0.
License requirements : None